package canvas.scene3d;

import script.Color;
import script.Vector3;

public class SunLight {
	
	protected Color color;
	
	
	
	public void set (Color color, Vector3 position,Vector3 target, float intensity){
		
	}
	
	
	public Color getColor(){
		return color;
	}
	
	public Color getGroundColor(){
		return null;
	}
	
	public void setColor(Color color){
	}
	
	public Vector3 getPosition(){
		return null;
	}
	
	public void setPosition(Vector3 position){
	}
	
	public Vector3 getTarget(){
		return null;
	}
	
	public void setTarget(Vector3 target){
		
	}
	public Vector3 getUp(){
		return null;
	}
	
	public void setUp(Vector3 up){
	}
	
	public Vector3 getDirection(){
		return null;
	}
	
	public float getIntensity(){
		return 0;
	}
	
	public void setIntensity(float intensity){
	}
	
	public void setFrustum(float minX,float maxX,float minY, float maxY,float nearZ,float farZ){
		
	}
	

}
